#当前服务的基本信息
microservice:
  ename: cn-begin
  name: cn-begin
server:
  port: 19001
spring:
  application:
    name: cn-begin

  profiles:
    active: wuxi_dev


  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
    locale: zh_CN
    serialization:
      # 格式化输出
      indent_output: false
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB

#mybatis配置信息
mybatis-plus:
  mapper-locations: classpath*:com/njcn/**/mapping/*.xml
  #别名扫描
  type-aliases-package: com.njcn.product.**.pojo
  configuration:
    #驼峰命名
    map-underscore-to-camel-case: true
    #配置sql日志输出
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  #    #关闭日志输出
  #    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
  global-config:
    db-config:
      #指定主键生成策略
      id-type: assign_uuid
db:
  type: mysql
#文件位置配置
business:
  #处理波形数据位置
  wavePath: D://comtrade
  #wavePath: /usr/local/comtrade
  #处理临时数据
  #tempPath: D://file
  tempPath: /usr/local/file
  #文件存储的方式 1.本地
  file:
    storage: 1
  #localStoragePath: /usr/local/localStoragePath
  localStoragePath: f://localStoragePath
#oss服务器配置
min:
  io:
    endpoint: http://192.168.1.22:9009
    accessKey: minio
    secretKey: minio@123
    bucket: excelreport
    #华为obs服务器配置
huawei:
  access-key: J9GS9EA79PZ60OK23LWP
  security-key: BirGrAFDSLxU8ow5fffyXgZRAmMRb1R1AdqCI60d
  obs:
    bucket: test-8601
    endpoint: https://obs.cn-east-3.myhuaweicloud.com
    # 单位为秒
    expire: 3600

#线程池配置信息
threadPool:
  corePoolSize: 10
  maxPoolSize: 20
  queueCapacity: 500
  keepAliveSeconds: 60
file:
  upload-dir: D:/carry


